Bug 1539151 (CVE-2018-6197) - CVE-2018-6197 w3m: Null pointer dereference in formUpdateBuffer in form.c
Summary: CVE-2018-6197 w3m: Null pointer dereference in formUpdateBuffer in form.c
Status: CLOSED NEXTRELEASE
Alias: CVE-2018-6197
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180126,reported=2...
Keywords: Security
Depends On: 1539152 1539153 1539154
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-26 19:28 UTC by Pedro Sampaio
Modified: 2019-05-07 09:06 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-24 08:52:44 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-01-26 19:28:10 UTC
w3m through 0.5.3 is prone to a NULL pointer dereference flaw in formUpdateBuffer in form.c.

Upstream bug:

https://github.com/tats/w3m/issues/89

Upstream patch:

https://github.com/tats/w3m/commit/7fdc83b0364005a0b5ed869230dd81752ba022e8

Comment 1 Pedro Sampaio 2018-01-26 19:28:36 UTC
Created w3m tracking bugs for this issue:

Affects: epel-7 [bug 1539153]
Affects: fedora-all [bug 1539154]

Comment 3 Parag Nemade 2018-06-24 08:52:44 UTC
Fixed for all the requested releases.


Note You need to log in before you can comment on or make changes to this bug.